<?php

/**
 * Copyright 2019 IQRF Tech s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
declare(strict_types = 1);

namespace Iqrf\Repository\Enums;

use Grifart\Enum\AutoInstances;
use Grifart\Enum\Enum;

/**
 * RF modes enum
 * @method static RfModes STD()
 * @method static RfModes LP()
 * @method static RfModes STD_LP()
 */
final class RfModes extends Enum {

	use AutoInstances;

	/**
	 * STD RF mode
	 */
	private const STD = 1;

	/**
	 * LP RF mode
	 */
	private const LP = 2;

	/**
	 * STD+LP RF mode
	 */
	private const STD_LP = 3;

}
